DOM::UIEvent Class Reference

`#include <dom2_events.h>`

Inheritance diagram for DOM::UIEvent:

## Public Member Functions

| UIEvent (const UIEvent &other)
| UIEvent (const Event &other)
UIEvent & | operator= (const UIEvent &other)
UIEvent & | operator= (const Event &other)
AbstractView | view () const
long | detail () const
int | keyCode () const
int | charCode () const
int | pageX () const
int | pageY () const
int | layerX () const
int | layerY () const
int | which () const
void | initUIEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const AbstractView &viewArg, long detailArg)
Public Member Functions inherited from DOM::Event
| Event (const Event &other)
Event & | operator= (const Event &other)
DOMString | type () const
Node | target () const
Node | currentTarget () const
unsigned short | eventPhase () const
bool | bubbles () const
bool | cancelable () const
DOMTimeStamp | timeStamp () const
void | stopPropagation ()
void | preventDefault ()
void | initEvent (const DOMString &eventTypeArg, bool canBubbleArg, bool cancelableArg)
EventImpl * | handle () const
bool | isNull () const

## Protected Member Functions

| UIEvent (UIEventImpl *impl)
Protected Member Functions inherited from DOM::Event
| Event (EventImpl *i)

## Additional Inherited Members

Public Types inherited from DOM::Event
enum | PhaseType { CAPTURING_PHASE = 1, AT_TARGET = 2, BUBBLING_PHASE = 3 }
Protected Attributes inherited from DOM::Event
EventImpl * | impl

## Detailed Description

Introduced in DOM Level 2.

The UIEvent interface provides specific contextual information associated with User Interface events.

Definition at line 294 of file dom2_events.h.

## Member Function Documentation

int UIEvent::charCode | ( |  | ) | const

Non-standard extension to support IE-style charCode event property.

Definition at line 260 of file dom2_events.cpp.

long UIEvent::detail | ( |  | ) | const

Specifies some detail information about the Event, depending on the type of event.

Definition at line 242 of file dom2_events.cpp.

void UIEvent::initUIEvent | ( | const DOMString & | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | const AbstractView & | viewArg,
|  | long | detailArg
| ) |  |

The initUIEvent method is used to initialize the value of a UIEvent created through the DocumentEvent interface.

This method may only be called before the UIEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

Parameters

  typeArg | Specifies the event type.
  canBubbleArg | Specifies whether or not the event can bubble.
  cancelableArg | Specifies whether or not the event's default action can be prevented.
  viewArg | Specifies the Event's AbstractView.
  detailArg | Specifies the Event's detail.

Definition at line 329 of file dom2_events.cpp.

int UIEvent::keyCode | ( |  | ) | const

Non-standard extension to support IE-style keyCode event property.

Definition at line 250 of file dom2_events.cpp.

int UIEvent::layerX | ( |  | ) | const

Non-standard extensions to support Netscape-style layerX and layerY event properties.

Definition at line 293 of file dom2_events.cpp.

int UIEvent::pageX | ( |  | ) | const

Non-standard extensions to support Netscape-style pageX and pageY event properties.

Definition at line 271 of file dom2_events.cpp.

AbstractView UIEvent::view | ( |  | ) | const

The view attribute identifies the AbstractView from which the event was generated.

Definition at line 234 of file dom2_events.cpp.

int UIEvent::which | ( |  | ) | const

Non-standard extension to support Netscape-style "which" event property.

Definition at line 313 of file dom2_events.cpp.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys